> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Decision Engine Flow

> Retrieve a decision engine flow by ID



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json get /decision-engine/flow/{flowId}
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /decision-engine/flow/{flowId}:
    get:
      summary: Get Decision Engine Flow
      description: Retrieve a decision engine flow by ID
      operationId: GetFlow
      parameters:
        - description: The UUID of the flow
          in: path
          name: flowId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DecisionEngineFlow'
                  - $ref: '#/components/schemas/ValidateErrorJSON'
                  - $ref: '#/components/schemas/InternalServerError'
                nullable: true
              examples:
                Example 1:
                  value:
                    id: 550e8400-e29b-41d4-a716-446655440000
                    name: My Flow
                    workspaceId: 1
                    decisionEngineId: 660e8400-e29b-41d4-a716-446655440001
                    audienceId: 100
                    status: active
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
      security:
        - bearerAuth: []
components:
  schemas:
    DecisionEngineFlow:
      description: Decision Engine Flow (Public API)
      properties:
        id:
          type: string
        name:
          type: string
        workspaceId:
          type: number
          format: double
        decisionEngineId:
          type: string
        audienceId:
          type: number
          format: double
        status:
          type: string
        config:
          properties: {}
          additionalProperties: {}
          type: object
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - workspaceId
        - decisionEngineId
        - audienceId
        - status
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
    InternalServerError:
      type: string
      enum:
        - Internal Server Error
      nullable: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````